Bug 18938 - opac/svc/patron_notes and opac/opac-issue-note.pl use GetMember
Summary: opac/svc/patron_notes and opac/opac-issue-note.pl use GetMember
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17829
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 03:18 UTC by M. Tompsett
Modified: 2017-07-19 21:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18938: (bug 17829 follow-up) Replace 2 occurrences of GetMember left behind (3.68 KB, patch)
2017-07-14 15:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-07-14 03:18:44 UTC
C4::Members::GetMember no longer exists. This means this code is broken. I believe 17829 is why it no longer exists.
Comment 1 Jonathan Druart 2017-07-14 15:20:46 UTC
Created attachment 65057 [details] [review]
Bug 18938: (bug 17829 follow-up) Replace 2 occurrences of GetMember left behind

Between patch submission and push, 2 new occurrences appeared in the
codebase.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Jonathan Druart 2017-07-14 15:33:59 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 3 Fridolin SOMERS 2017-07-18 14:12:20 UTC
Pushed to 17.05.x, will be in 17.05.02
Comment 4 Fridolin SOMERS 2017-07-18 14:38:07 UTC
Oups, dependency is not in 17.05.x so I revert : 

Enhancement not pushed to 17.05.x
Comment 5 Katrin Fischer 2017-07-19 21:22:41 UTC
GetMember is still alive in 16.11.x, this is not needed there.